%define upstream_name    RT-Client-Console
%define upstream_version 0.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Non-blocking Curses.pm input for full-screen console apps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Curses)
BuildRequires: perl(Curses::Forms)
BuildRequires: perl(Curses::Widgets)
BuildRequires: perl(Error)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(POE)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(RT::Client::REST)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(relative)
BuildRequires: perl(version)
BuildArch: noarch


%description
RT::Client::Console distribution provides an executable _rtconsole_ and
modules. The executable is a full-featured curses-based interface to any RT
server that has REST interface enabled.

The modules provides comprehensive ways to connect, interact and display
informations from the RT server. A plugin mechanism is planned, and will
enable more flexibility.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 372193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.2.0-2.mga3
+ Revision: 326920
- fix %%files

* Sun Jan 23 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 34193
- mageia rebuild
- imported package perl-RT-Client-Console

